geos::index::kdtree::KdNode Class Reference

`#include <KdNode.h>`

## Public Member Functions

| KdNode (double p_x, double p_y, void *p_data)
| KdNode (const geom::Coordinate &p_p, void *p_data)
double | getX ()
double | getY ()
const geom::Coordinate & | getCoordinate ()
void * | getData ()
KdNode * | getLeft ()
KdNode * | getRight ()
void | increment ()
std::size_t | getCount ()
bool | isRepeated ()
void | setLeft (KdNode *p_left)
void | setRight (KdNode *p_right)

## Detailed Description

A node of a `KdTree`, which represents one or more points in the same location.

The documentation for this class was generated from the following file:

- KdNode.h